/*
 * Main.java
 *
 * Created on April 7, 2006, 4:28 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package activelearner;

import java.util.*;

/**
 *
 * @author acarlson
 */
public class Main {
    
    /** Creates a new instance of Main */
    public Main() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        List<String> relations = new ArrayList<String>();
        relations.add("Nation");
        relations.add("NotNation");
        
        ActiveLearner al = new ActiveLearner(relations, ActiveLearner.Arity.UNARY);
        
        // add 'seed rules'
        al.addSeedRule("nationsSuchAs", "Nation");
        al.addSeedRule("countriesSuchAs", "Nation");
        
        al.addSeedEntity("Ghana","Nation");

        // ... pretend we extracted instances for those rules from the web ...
        
        // add entity counts 
        al.addEntityCount("nationsSuchAs", "China", 54);
        al.addEntityCount("nationsSuchAs", "India", 52);
        al.addEntityCount("nationsSuchAs", "United States", 33);
        al.addEntityCount("nationsSuchAs", "Japan", 32);
        al.addEntityCount("nationsSuchAs", "France", 23);
        al.addEntityCount("nationsSuchAs", "Canada", 20);
        al.addEntityCount("nationsSuchAs", "Brazil", 18);
        al.addEntityCount("nationsSuchAs", "Germany", 18);
        al.addEntityCount("nationsSuchAs", "Iran", 17);
        al.addEntityCount("nationsSuchAs", "US", 17);
        al.addEntityCount("nationsSuchAs", "Iraq", 15);
        al.addEntityCount("nationsSuchAs", "Indonesia", 14);
        al.addEntityCount("nationsSuchAs", "North Korea", 14);
        al.addEntityCount("nationsSuchAs", "Australia", 13);
        al.addEntityCount("nationsSuchAs", "Pakistan", 12);
        al.addEntityCount("nationsSuchAs", "Mexico", 12);
        al.addEntityCount("nationsSuchAs", "Russia", 12);
        al.addEntityCount("nationsSuchAs", "Britain", 11);
        al.addEntityCount("nationsSuchAs", "Sweden", 9);
        al.addEntityCount("nationsSuchAs", "Libya", 9);
        al.addEntityCount("nationsSuchAs", "Syria", 9);
        al.addEntityCount("nationsSuchAs", "Saudi Arabia", 9);
        al.addEntityCount("nationsSuchAs", "South Africa", 8);
        al.addEntityCount("nationsSuchAs", "Malaysia", 8);
        al.addEntityCount("nationsSuchAs", "Cuba", 8);
        al.addEntityCount("nationsSuchAs", "Israel", 7);
        al.addEntityCount("nationsSuchAs", "Singapore", 7);
        al.addEntityCount("nationsSuchAs", "UK", 6);
        al.addEntityCount("nationsSuchAs", "Turkey", 5);
        al.addEntityCount("nationsSuchAs", "Thailand", 5);
        al.addEntityCount("nationsSuchAs", "others", 5);
        al.addEntityCount("nationsSuchAs", "Egypt", 5);
        al.addEntityCount("nationsSuchAs", "Switzerland", 5);
        al.addEntityCount("nationsSuchAs", "Philippines", 5);
        al.addEntityCount("nationsSuchAs", "USA", 5);
        al.addEntityCount("nationsSuchAs", "Morocco", 4);
        al.addEntityCount("nationsSuchAs", "Romania", 4);
        al.addEntityCount("nationsSuchAs", "Haiti", 4);
        al.addEntityCount("nationsSuchAs", "Rwanda", 4);
        al.addEntityCount("nationsSuchAs", "South Korea", 4);
        al.addEntityCount("nationsSuchAs", "Korea", 4);
        al.addEntityCount("nationsSuchAs", "New Zealand", 4);
        al.addEntityCount("nationsSuchAs", "Burundi", 4);
        al.addEntityCount("nationsSuchAs", "Afghanistan", 4);
        al.addEntityCount("nationsSuchAs", "Ethiopia", 3);
        al.addEntityCount("nationsSuchAs", "Argentina", 3);
        al.addEntityCount("nationsSuchAs", "Bangladesh", 3);
        al.addEntityCount("nationsSuchAs", "Netherlands", 3);
        al.addEntityCount("nationsSuchAs", "United", 3);
        al.addEntityCount("nationsSuchAs", "Chile", 3);
        al.addEntityCount("nationsSuchAs", "Iceland", 3);
        al.addEntityCount("nationsSuchAs", "Spain", 3);
        al.addEntityCount("nationsSuchAs", "Kenya", 3);
        al.addEntityCount("nationsSuchAs", "Norway", 3);
        al.addEntityCount("nationsSuchAs", "Jordan", 3);
        al.addEntityCount("nationsSuchAs", "Zimbabwe", 3);
        al.addEntityCount("nationsSuchAs", "Kuwait", 3);
        al.addEntityCount("nationsSuchAs", "Sudan", 3);
        al.addEntityCount("nationsSuchAs", "Denmark", 3);
        al.addEntityCount("nationsSuchAs", "Nepal", 2);
        al.addEntityCount("nationsSuchAs", "Mozambique", 2);
        al.addEntityCount("nationsSuchAs", "England", 2);
        al.addEntityCount("nationsSuchAs", "Nigeria", 2);
        al.addEntityCount("nationsSuchAs", "Latvia", 2);
        al.addEntityCount("nationsSuchAs", "Ecuador", 2);
        al.addEntityCount("nationsSuchAs", "Taiwan", 2);
        al.addEntityCount("nationsSuchAs", "Bulgaria", 2);
        al.addEntityCount("nationsSuchAs", "Belarus", 2);
        al.addEntityCount("nationsSuchAs", "Ukraine", 2);
        al.addEntityCount("nationsSuchAs", "Belgium", 2);
        al.addEntityCount("nationsSuchAs", "Sri Lanka", 2);
        al.addEntityCount("nationsSuchAs", "UNESCO", 2);
        al.addEntityCount("nationsSuchAs", "Angola", 2);
        al.addEntityCount("nationsSuchAs", "Honduras", 2);
        al.addEntityCount("nationsSuchAs", "Bahamas", 2);
        al.addEntityCount("nationsSuchAs", "El Salvador", 2);
        al.addEntityCount("nationsSuchAs", "South", 2);
        al.addEntityCount("nationsSuchAs", "Poland", 2);
        al.addEntityCount("nationsSuchAs", "Bolivia", 2);
        al.addEntityCount("nationsSuchAs", "Luxembourg", 2);
        al.addEntityCount("nationsSuchAs", "Kazakhstan", 2);
        al.addEntityCount("nationsSuchAs", "Lesotho", 2);
        al.addEntityCount("nationsSuchAs", "Italy", 2);
        al.addEntityCount("nationsSuchAs", "Bhutan", 2);
        al.addEntityCount("nationsSuchAs", "Colombia", 2);
        al.addEntityCount("nationsSuchAs", "Senegal", 2);
        al.addEntityCount("nationsSuchAs", "China.", 1);
        al.addEntityCount("nationsSuchAs", "UNDP", 1);
        al.addEntityCount("nationsSuchAs", "Delaware", 1);
        al.addEntityCount("nationsSuchAs", "Somalia", 1);
        al.addEntityCount("nationsSuchAs", "USSR", 1);
        al.addEntityCount("nationsSuchAs", "experiences", 1);
        al.addEntityCount("nationsSuchAs", "Vietnam clashing", 1);
        al.addEntityCount("nationsSuchAs", "America", 1);
        al.addEntityCount("nationsSuchAs", "Malaysia venture", 1);
        al.addEntityCount("nationsSuchAs", "Peru", 1);
        al.addEntityCount("nationsSuchAs", "Group", 1);
        al.addEntityCount("nationsSuchAs", "Portugal", 1);
        al.addEntityCount("nationsSuchAs", "Singapore prohibit.", 1);
        al.addEntityCount("nationsSuchAs", "India produce", 1);
        al.addEntityCount("nationsSuchAs", "mirror", 1);
        al.addEntityCount("nationsSuchAs", "Borneo", 1);
        al.addEntityCount("nationsSuchAs", "Serbia", 1);
        al.addEntityCount("nationsSuchAs", "United States drop", 1);
        al.addEntityCount("nationsSuchAs", "Maldives", 1);
        al.addEntityCount("nationsSuchAs", "New", 1);
        al.addEntityCount("nationsSuchAs", "Japan.1", 1);
        al.addEntityCount("nationsSuchAs", "OPEC members", 1);
        al.addEntityCount("nationsSuchAs", "Jamaica", 1);
        al.addEntityCount("nationsSuchAs", "Dominica", 1);
        al.addEntityCount("nationsSuchAs", "Slovenia", 1);
        al.addEntityCount("nationsSuchAs", "flight", 1);
        al.addEntityCount("nationsSuchAs", "Botswana", 1);
        al.addEntityCount("nationsSuchAs", "Algeria", 1);
        al.addEntityCount("nationsSuchAs", "Copts", 1);
        al.addEntityCount("nationsSuchAs", "Japan etc", 1);
        al.addEntityCount("nationsSuchAs", "proposal", 1);
        al.addEntityCount("nationsSuchAs", "Kazakhs", 1);
        al.addEntityCount("nationsSuchAs", "Barbados", 1);
        al.addEntityCount("nationsSuchAs", "Ojibway", 1);
        al.addEntityCount("nationsSuchAs", ". Bangladesh", 1);
        al.addEntityCount("nationsSuchAs", "Sixth", 1);
        al.addEntityCount("nationsSuchAs", "Niger", 1);
        al.addEntityCount("nationsSuchAs", "OLA", 1);
        al.addEntityCount("nationsSuchAs", "nations", 1);
        al.addEntityCount("nationsSuchAs", "Communist Albania", 1);
        al.addEntityCount("nationsSuchAs", "Cameroon", 1);
        al.addEntityCount("nationsSuchAs", "Greece", 1);
        al.addEntityCount("nationsSuchAs", "with.", 1);
        al.addEntityCount("nationsSuchAs", "Burkina Faso", 1);
        al.addEntityCount("nationsSuchAs", "post1945 Sudeten Germans", 1);
        al.addEntityCount("nationsSuchAs", "fields 2000 calls", 1);
        al.addEntityCount("nationsSuchAs", "democracy", 1);
        al.addEntityCount("nationsSuchAs", "Uzbekistan", 1);
        al.addEntityCount("nationsSuchAs", "United States fear", 1);
        al.addEntityCount("nationsSuchAs", "China progress", 1);
        al.addEntityCount("nationsSuchAs", "Costa Rica", 1);
        al.addEntityCount("nationsSuchAs", "Cambodia", 1);
        al.addEntityCount("nationsSuchAs", "communities", 1);
        al.addEntityCount("nationsSuchAs", "India graduating", 1);
        al.addEntityCount("nationsSuchAs", "and.", 1);
        al.addEntityCount("nationsSuchAs", "Europe", 1);
        al.addEntityCount("nationsSuchAs", "Mongolia", 1);
        al.addEntityCount("nationsSuchAs", "Hungary", 1);
        al.addEntityCount("nationsSuchAs", "Tokelau Islands", 1);
        al.addEntityCount("nationsSuchAs", "Iran cannot", 1);
        al.addEntityCount("nationsSuchAs", "Sierra Leone", 1);
        al.addEntityCount("nationsSuchAs", "Congo", 1);
        al.addEntityCount("nationsSuchAs", "Estonia", 1);
        al.addEntityCount("nationsSuchAs", "Guatemala", 1);
        al.addEntityCount("nationsSuchAs", "Saddam 's", 1);
        al.addEntityCount("nationsSuchAs", "Iroquois", 1);
        al.addEntityCount("nationsSuchAs", "Ireland", 1);
        al.addEntityCount("nationsSuchAs", "Vanuatu", 1);
        al.addEntityCount("nationsSuchAs", "Nicaragua", 1);
        al.addEntityCount("nationsSuchAs", "Qatar", 1);
        al.addEntityCount("nationsSuchAs", "DPA", 1);
        al.addEntityCount("nationsSuchAs", "FAO", 1);
        al.addEntityCount("nationsSuchAs", "range", 1);
        al.addEntityCount("nationsSuchAs", "Czechs", 1);
        al.addEntityCount("nationsSuchAs", "Republic", 1);
        al.addEntityCount("nationsSuchAs", "Viet Nam", 1);
        al.addEntityCount("nationsSuchAs", "Sri", 1);
        al.addEntityCount("nationsSuchAs", "35 percent", 1);
        al.addEntityCount("nationsSuchAs", "Eastern European nations", 1);
        al.addEntityCount("nationsSuchAs", "Slovakia", 1);
        al.addEntityCount("nationsSuchAs", "Hopi", 1);
        al.addEntityCount("nationsSuchAs", "Greeks", 1);
        al.addEntityCount("nationsSuchAs", "guyana", 1);
        al.addEntityCount("nationsSuchAs", "Gabon", 1);
        al.addEntityCount("nationsSuchAs", "54 %", 1);
        al.addEntityCount("nationsSuchAs", "United Kingdom", 1);
        al.addEntityCount("nationsSuchAs", "Armenians", 1);
        al.addEntityCount("nationsSuchAs", "Lithuania", 1);
        al.addEntityCount("nationsSuchAs", "Marshall Islands", 1);
        al.addEntityCount("nationsSuchAs", "Cyprus", 1);
        al.addEntityCount("nationsSuchAs", "China are.", 1);
        al.addEntityCount("nationsSuchAs", "Papua New Guinea", 1);
        al.addEntityCount("nationsSuchAs", "United States drive", 1);
        al.addEntityCount("nationsSuchAs", ". Sri Lanka", 1);
        al.addEntityCount("nationsSuchAs", "United Arab Emirates pocketed", 1);
        al.addEntityCount("nationsSuchAs", "NATO", 1);
        al.addEntityCount("nationsSuchAs", "Zaire", 1);
        al.addEntityCount("nationsSuchAs", "blocs", 1);
        al.addEntityCount("nationsSuchAs", "Finland", 1);
        al.addEntityCount("nationsSuchAs", "Western Europe", 1);
        al.addEntityCount("nationsSuchAs", "Great", 1);
        al.addEntityCount("nationsSuchAs", "Tanzania", 1);
        al.addEntityCount("nationsSuchAs", "Palau", 1);
        al.addEntityCount("nationsSuchAs", "Chad", 1);
        al.addEntityCount("nationsSuchAs", "World Health Organization", 1);
        al.addEntityCount("nationsSuchAs", "Uganda", 1);
        al.addEntityCount("nationsSuchAs", "three", 1);
        al.addEntityCount("nationsSuchAs", ". Rwanda", 1);
        al.addEntityCount("nationsSuchAs", "Ghana rank", 1);
        al.addEntityCount("nationsSuchAs", "East Timor", 1);
        al.addEntityCount("nationsSuchAs", "UNICEF", 1);
        al.addEntityCount("nationsSuchAs", "Yemen", 1);
        al.addEntityCount("nationsSuchAs", "Liberia", 1);
        al.addEntityCount("nationsSuchAs", ".", 1);
        al.addEntityCount("nationsSuchAs", "Statlimc Chiefs Council", 1);
        al.addEntityCount("nationsSuchAs", "Myanmar", 1);
        al.addEntityCount("nationsSuchAs", "Bahrain", 1);
        al.addEntityCount("nationsSuchAs", "US.", 1);
        al.addEntityCount("nationsSuchAs", "Nordics", 1);
        al.addEntityCount("nationsSuchAs", "week", 1);
        al.addEntityCount("nationsSuchAs", "Burma", 1);
        al.addEntityCount("nationsSuchAs", "Venezuela", 1);
        al.addEntityCount("nationsSuchAs", "increase", 1);
        al.addEntityCount("nationsSuchAs", "Belarus lead Western", 1);
        al.addEntityCount("nationsSuchAs", "question", 1);
        al.addEntityCount("nationsSuchAs", "Fort McKay", 1);
        al.addEntityCount("nationsSuchAs", "India fuel", 1);
        al.addEntityCount("nationsSuchAs", "Holland", 1);
        al.addEntityCount("nationsSuchAs", "espoused", 1);
        
        al.addEntityCount("countriesSuchAs", "India", 75);
        al.addEntityCount("countriesSuchAs", "China", 74);
        al.addEntityCount("countriesSuchAs", "Brazil", 32);
        al.addEntityCount("countriesSuchAs", "Canada", 30);
        al.addEntityCount("countriesSuchAs", "United States", 27);
        al.addEntityCount("countriesSuchAs", "Japan", 25);
        al.addEntityCount("countriesSuchAs", "US", 22);
        al.addEntityCount("countriesSuchAs", "Australia", 21);
        al.addEntityCount("countriesSuchAs", "Pakistan", 20);
        al.addEntityCount("countriesSuchAs", "Iran", 20);
        al.addEntityCount("countriesSuchAs", "Germany", 18);
        al.addEntityCount("countriesSuchAs", "France", 16);
        al.addEntityCount("countriesSuchAs", "Russia", 16);
        al.addEntityCount("countriesSuchAs", "Malaysia", 14);
        al.addEntityCount("countriesSuchAs", "Mexico", 14);
        al.addEntityCount("countriesSuchAs", "South Africa", 13);
        al.addEntityCount("countriesSuchAs", "Nigeria", 13);
        al.addEntityCount("countriesSuchAs", "Bangladesh", 12);
        al.addEntityCount("countriesSuchAs", "Indonesia", 11);
        al.addEntityCount("countriesSuchAs", "Italy", 11);
        al.addEntityCount("countriesSuchAs", "Philippines", 11);
        al.addEntityCount("countriesSuchAs", "Sweden", 10);
        al.addEntityCount("countriesSuchAs", "Peru", 10);
        al.addEntityCount("countriesSuchAs", "UK", 10);
        al.addEntityCount("countriesSuchAs", "Spain", 10);
        al.addEntityCount("countriesSuchAs", "Kenya", 10);
        al.addEntityCount("countriesSuchAs", "Thailand", 9);
        al.addEntityCount("countriesSuchAs", "Chile", 9);
        al.addEntityCount("countriesSuchAs", "South Korea", 9);
        al.addEntityCount("countriesSuchAs", "Egypt", 9);
        al.addEntityCount("countriesSuchAs", "USA", 9);
        al.addEntityCount("countriesSuchAs", "Ethiopia", 8);
        al.addEntityCount("countriesSuchAs", "Zambia", 8);
        al.addEntityCount("countriesSuchAs", "Saudi Arabia", 8);
        al.addEntityCount("countriesSuchAs", "Malawi", 7);
        al.addEntityCount("countriesSuchAs", "Iraq", 7);
        al.addEntityCount("countriesSuchAs", "Vietnam", 7);
        al.addEntityCount("countriesSuchAs", "Cambodia", 7);
        al.addEntityCount("countriesSuchAs", "Ghana", 7);
        al.addEntityCount("countriesSuchAs", "Cuba", 7);
        al.addEntityCount("countriesSuchAs", "United Kingdom", 7);
        al.addEntityCount("countriesSuchAs", "Korea", 7);
        al.addEntityCount("countriesSuchAs", "Zimbabwe", 7);
        al.addEntityCount("countriesSuchAs", "Colombia", 7);
        al.addEntityCount("countriesSuchAs", "Venezuela", 7);
        al.addEntityCount("countriesSuchAs", "Singapore", 6);
        al.addEntityCount("countriesSuchAs", "Guatemala", 6);
        al.addEntityCount("countriesSuchAs", "Finland", 6);
        al.addEntityCount("countriesSuchAs", "Uganda", 6);
        al.addEntityCount("countriesSuchAs", "New Zealand", 6);
        al.addEntityCount("countriesSuchAs", "Denmark", 6);
        al.addEntityCount("countriesSuchAs", "Nepal", 5);
        al.addEntityCount("countriesSuchAs", "Mozambique", 5);
        al.addEntityCount("countriesSuchAs", "Argentina", 5);
        al.addEntityCount("countriesSuchAs", "Turkey", 5);
        al.addEntityCount("countriesSuchAs", "Netherlands", 5);
        al.addEntityCount("countriesSuchAs", "Lebanon", 5);
        al.addEntityCount("countriesSuchAs", "Romania", 5);
        al.addEntityCount("countriesSuchAs", "Cameroon", 5);
        al.addEntityCount("countriesSuchAs", "Greece", 5);
        al.addEntityCount("countriesSuchAs", "Haiti", 5);
        al.addEntityCount("countriesSuchAs", "Syria", 5);
        al.addEntityCount("countriesSuchAs", "Sri Lanka", 5);
        al.addEntityCount("countriesSuchAs", "Angola", 5);
        al.addEntityCount("countriesSuchAs", "Poland", 5);
        al.addEntityCount("countriesSuchAs", "Jordan", 5);
        al.addEntityCount("countriesSuchAs", "Sudan", 5);
        al.addEntityCount("countriesSuchAs", "Morocco", 4);
        al.addEntityCount("countriesSuchAs", "Algeria", 4);
        al.addEntityCount("countriesSuchAs", "Ukraine", 4);
        al.addEntityCount("countriesSuchAs", "Libya", 4);
        al.addEntityCount("countriesSuchAs", "North Korea", 4);
        al.addEntityCount("countriesSuchAs", "Sierra Leone", 4);
        al.addEntityCount("countriesSuchAs", "Britain", 4);
        al.addEntityCount("countriesSuchAs", "Liberia", 4);
        al.addEntityCount("countriesSuchAs", "Portugal", 3);
        al.addEntityCount("countriesSuchAs", "Tunisia", 3);
        al.addEntityCount("countriesSuchAs", "Paraguay", 3);
        al.addEntityCount("countriesSuchAs", "Ecuador", 3);
        al.addEntityCount("countriesSuchAs", "Botswana", 3);
        al.addEntityCount("countriesSuchAs", "EU", 3);
        al.addEntityCount("countriesSuchAs", "United Arab Emirates", 3);
        al.addEntityCount("countriesSuchAs", "Bosnia", 3);
        al.addEntityCount("countriesSuchAs", "Costa Rica", 3);
        al.addEntityCount("countriesSuchAs", "Benin", 3);
        al.addEntityCount("countriesSuchAs", "Honduras", 3);
        al.addEntityCount("countriesSuchAs", "Ireland", 3);
        al.addEntityCount("countriesSuchAs", "El Salvador", 3);
        al.addEntityCount("countriesSuchAs", "Bolivia", 3);
        al.addEntityCount("countriesSuchAs", "Switzerland", 3);
        al.addEntityCount("countriesSuchAs", "Burma", 3);
        al.addEntityCount("countriesSuchAs", "England", 2);
        al.addEntityCount("countriesSuchAs", "Solomon Islands", 2);
        al.addEntityCount("countriesSuchAs", "Serbia", 2);
        al.addEntityCount("countriesSuchAs", "Israel", 2);
        al.addEntityCount("countriesSuchAs", "Namibia", 2);
        al.addEntityCount("countriesSuchAs", "Taiwan", 2);
        al.addEntityCount("countriesSuchAs", "Bulgaria", 2);
        al.addEntityCount("countriesSuchAs", "Laos", 2);
        al.addEntityCount("countriesSuchAs", "Niger", 2);
        al.addEntityCount("countriesSuchAs", "Burkina Faso", 2);
        al.addEntityCount("countriesSuchAs", "Belgium", 2);
        al.addEntityCount("countriesSuchAs", "United", 2);
        al.addEntityCount("countriesSuchAs", "Samoa", 2);
        al.addEntityCount("countriesSuchAs", "Rwanda", 2);
        al.addEntityCount("countriesSuchAs", "Uruguay", 2);
        al.addEntityCount("countriesSuchAs", "Europe", 2);
        al.addEntityCount("countriesSuchAs", "Hungary", 2);
        al.addEntityCount("countriesSuchAs", "others", 2);
        al.addEntityCount("countriesSuchAs", "Nicaragua", 2);
        al.addEntityCount("countriesSuchAs", "People 's Republic", 2);
        al.addEntityCount("countriesSuchAs", "Slovakia", 2);
        al.addEntityCount("countriesSuchAs", "Moldova", 2);
        al.addEntityCount("countriesSuchAs", "Gabon", 2);
        al.addEntityCount("countriesSuchAs", "Lithuania", 2);
        al.addEntityCount("countriesSuchAs", "Papua New Guinea", 2);
        al.addEntityCount("countriesSuchAs", "Tanzania", 2);
        al.addEntityCount("countriesSuchAs", "Chad", 2);
        al.addEntityCount("countriesSuchAs", "Kazakhstan", 2);
        al.addEntityCount("countriesSuchAs", "Austria", 2);
        al.addEntityCount("countriesSuchAs", "Yemen", 2);
        al.addEntityCount("countriesSuchAs", "UAE", 2);
        al.addEntityCount("countriesSuchAs", "Kuwait", 2);
        al.addEntityCount("countriesSuchAs", "Georgia", 2);
        al.addEntityCount("countriesSuchAs", "Afghanistan", 2);
        al.addEntityCount("countriesSuchAs", "Senegal", 2);
        al.addEntityCount("countriesSuchAs", "Albania", 2);
        al.addEntityCount("countriesSuchAs", "Tonga", 1);
        al.addEntityCount("countriesSuchAs", "two", 1);
        al.addEntityCount("countriesSuchAs", "Somalia", 1);
        al.addEntityCount("countriesSuchAs", "steel", 1);
        al.addEntityCount("countriesSuchAs", "Scotland", 1);
        al.addEntityCount("countriesSuchAs", "etc.", 1);
        al.addEntityCount("countriesSuchAs", "Herzegovina", 1);
        al.addEntityCount("countriesSuchAs", "Surinam", 1);
        al.addEntityCount("countriesSuchAs", "mountain sources", 1);
        al.addEntityCount("countriesSuchAs", "Latvia", 1);
        al.addEntityCount("countriesSuchAs", "Dominican Republic", 1);
        al.addEntityCount("countriesSuchAs", "India face", 1);
        al.addEntityCount("countriesSuchAs", "West Germany", 1);
        al.addEntityCount("countriesSuchAs", "Mauritius", 1);
        al.addEntityCount("countriesSuchAs", "Maldives", 1);
        al.addEntityCount("countriesSuchAs", "Saudi Arabia Islamic Law", 1);
        al.addEntityCount("countriesSuchAs", "Great Britain", 1);
        al.addEntityCount("countriesSuchAs", "Jamaica", 1);
        al.addEntityCount("countriesSuchAs", "Swaziland", 1);
        al.addEntityCount("countriesSuchAs", ". Pakistan", 1);
        al.addEntityCount("countriesSuchAs", "Slovenia", 1);
        al.addEntityCount("countriesSuchAs", "members", 1);
        al.addEntityCount("countriesSuchAs", "Colombo", 1);
        al.addEntityCount("countriesSuchAs", "Belize", 1);
        al.addEntityCount("countriesSuchAs", "Madagascar", 1);
        al.addEntityCount("countriesSuchAs", "Malta", 1);
        al.addEntityCount("countriesSuchAs", "Vietnam.", 1);
        al.addEntityCount("countriesSuchAs", "Northern European countries", 1);
        al.addEntityCount("countriesSuchAs", "ASEAN Earthquake Information Centre", 1);
        al.addEntityCount("countriesSuchAs", "APEC-member countries", 1);
        al.addEntityCount("countriesSuchAs", "Siam", 1);
        al.addEntityCount("countriesSuchAs", "etc", 1);
        al.addEntityCount("countriesSuchAs", "Azerbaijan", 1);
        al.addEntityCount("countriesSuchAs", "AEIC", 1);
        al.addEntityCount("countriesSuchAs", "BEDPS", 1);
        al.addEntityCount("countriesSuchAs", ". Italy", 1);
        al.addEntityCount("countriesSuchAs", "US lung infections cause seven times", 1);
        al.addEntityCount("countriesSuchAs", ". Bangladesh", 1);
        al.addEntityCount("countriesSuchAs", "Belarus", 1);
        al.addEntityCount("countriesSuchAs", "Taiwan support", 1);
        al.addEntityCount("countriesSuchAs", "United Kindgom", 1);
        al.addEntityCount("countriesSuchAs", "41,1 %", 1);
        al.addEntityCount("countriesSuchAs", "North America", 1);
        al.addEntityCount("countriesSuchAs", "Commonwealth", 1);
        al.addEntityCount("countriesSuchAs", "16 percent", 1);
        al.addEntityCount("countriesSuchAs", "Cote dIvoire", 1);
        al.addEntityCount("countriesSuchAs", "hers", 1);
        al.addEntityCount("countriesSuchAs", "Netherlands mandate", 1);
        al.addEntityCount("countriesSuchAs", "USA etc show", 1);
        al.addEntityCount("countriesSuchAs", "European Union", 1);
        al.addEntityCount("countriesSuchAs", "Caribbean", 1);
        al.addEntityCount("countriesSuchAs", "water pollution", 1);
        al.addEntityCount("countriesSuchAs", "employers", 1);
        al.addEntityCount("countriesSuchAs", "leather", 1);
        al.addEntityCount("countriesSuchAs", "United States support Mr Yushchenko", 1);
        al.addEntityCount("countriesSuchAs", "Cuba.", 1);
        al.addEntityCount("countriesSuchAs", "Phillippines", 1);
        al.addEntityCount("countriesSuchAs", "Panama", 1);
        al.addEntityCount("countriesSuchAs", "Cte d'Ivoire", 1);
        al.addEntityCount("countriesSuchAs", "Cote d'Ivoire", 1);
        al.addEntityCount("countriesSuchAs", "rights", 1);
        al.addEntityCount("countriesSuchAs", "blocks", 1);
        al.addEntityCount("countriesSuchAs", "Mongolia", 1);
        al.addEntityCount("countriesSuchAs", "Byelorussiathey", 1);
        al.addEntityCount("countriesSuchAs", "Mozambique as. examples", 1);
        al.addEntityCount("countriesSuchAs", "United Arab Emirate", 1);
        al.addEntityCount("countriesSuchAs", "Estonia", 1);
        al.addEntityCount("countriesSuchAs", ". Moldova", 1);
        al.addEntityCount("countriesSuchAs", "Eritrea", 1);
        al.addEntityCount("countriesSuchAs", "estate", 1);
        al.addEntityCount("countriesSuchAs", "islands", 1);
        al.addEntityCount("countriesSuchAs", "Benelux countries etc.", 1);
        al.addEntityCount("countriesSuchAs", "textiles", 1);
        al.addEntityCount("countriesSuchAs", "Qatar", 1);
        al.addEntityCount("countriesSuchAs", "India experience", 1);
        al.addEntityCount("countriesSuchAs", "Afghansitan", 1);
        al.addEntityCount("countriesSuchAs", "Netherlands rank", 1);
        al.addEntityCount("countriesSuchAs", "Iceland", 1);
        al.addEntityCount("countriesSuchAs", "DPRK", 1);
        al.addEntityCount("countriesSuchAs", "Indo-China", 1);
        al.addEntityCount("countriesSuchAs", "Republic", 1);
        al.addEntityCount("countriesSuchAs", "transfer", 1);
        al.addEntityCount("countriesSuchAs", "South Korea display", 1);
        al.addEntityCount("countriesSuchAs", "Eastern European nations", 1);
        al.addEntityCount("countriesSuchAs", "Tajikistan", 1);
        al.addEntityCount("countriesSuchAs", "work", 1);
        al.addEntityCount("countriesSuchAs", "EU member states", 1);
        al.addEntityCount("countriesSuchAs", "South", 1);
        al.addEntityCount("countriesSuchAs", "Togo", 1);
        al.addEntityCount("countriesSuchAs", "France use", 1);
        al.addEntityCount("countriesSuchAs", "Jordanand one cannot", 1);
        al.addEntityCount("countriesSuchAs", "Bangadesh", 1);
        al.addEntityCount("countriesSuchAs", "Norway", 1);
        al.addEntityCount("countriesSuchAs", "Luxembourg", 1);
        al.addEntityCount("countriesSuchAs", "Tobago", 1);
        al.addEntityCount("countriesSuchAs", "Kyrgyzstan", 1);
        al.addEntityCount("countriesSuchAs", "Seychelles", 1);
        al.addEntityCount("countriesSuchAs", "Western Europe", 1);
        al.addEntityCount("countriesSuchAs", "Fiji", 1);
        al.addEntityCount("countriesSuchAs", "fisheries", 1);
        al.addEntityCount("countriesSuchAs", "Trinidad", 1);
        al.addEntityCount("countriesSuchAs", "DRC", 1);
        al.addEntityCount("countriesSuchAs", "Venezuelaand", 1);
        al.addEntityCount("countriesSuchAs", "Bhutan", 1);
        al.addEntityCount("countriesSuchAs", "East Timor", 1);
        al.addEntityCount("countriesSuchAs", "states", 1);
        al.addEntityCount("countriesSuchAs", "Mexico will.", 1);
        al.addEntityCount("countriesSuchAs", ".", 1);
        al.addEntityCount("countriesSuchAs", "Japan offer", 1);
        al.addEntityCount("countriesSuchAs", "Myanmar", 1);
        al.addEntityCount("countriesSuchAs", "Bahrain", 1);
        al.addEntityCount("countriesSuchAs", "Bukina Faso", 1);
        al.addEntityCount("countriesSuchAs", "home markets", 1);
        al.addEntityCount("countriesSuchAs", "air", 1);
        
        System.out.println(al.getEntityScore("air","Nation"));
        
        Question q;
        q = al.getQuestion();
        System.out.println(q.getQuestionString());
        q.setAnswer(1);
        al.answerQuestion(q);
        
        q = al.getQuestion();
        System.out.println(q.getQuestionString());
        q.setAnswer(1);
        al.answerQuestion(q);
        
        System.out.println(al.getRuleScore("countriesSuchAs", "NotNation"));
        
       
        
        
        
        
        
        //System.out.println(al.getRankedEntityList("Nation",5).toString());
    }
}
